unit Cavelib;

interface


uses IniFiles,DSupport,SysUtils,Forms;


var VersionStr,CopyRightStr: string;

const
 StationNameSize=12;		{Size of station name string}
 SurveyNameSize=20;		{Size of survey name string}
 SectionNameSize=20;		{Size of section name string}
 SurveyCommentSize=255;		{Size of survey comment string}
 ShotCommentSize=160;		{Size of shot comment string}
 CaveNameSize=80; 		{Size of cave name string}
 MaxSurveyLinks=500;		{Maxium number of linking stations}

const
 StatHead='        FROM           TO';
 HeadLine1=StatHead+'   LENGTH  BEARING      INC'+
	   '     LEFT       UP     DOWN    RIGHT'+
	   '   FLAGS  COMMENTS';

 HeadLine2=StatHead+'   LENGTH  BEARING      INC'+
	   '     LEFT       UP     DOWN    RIGHT'+
	   '     AZM2     INC2'+
	   '   FLAGS  COMMENTS';

const CompassIniName = 'Comp32.ini';
const EditorIniName = 'CaveEd32.ini';
const ViewerIniName = 'CaveVw32.ini';

implementation


procedure SetupUnits;
var CompassIni: TIniFile;
var Inter: boolean;
begin
CompassIni:=TIniFile.Create(CompassIniName);
Inter :=CompassIni.ReadBool('Units','InternationalFoot',True);
SetInternationalFoot(Inter);
CompassIni.Free;
end;


procedure SetupVersion;
var Year,Month,Day: word;
var Y: string;
const MajorVer=5;
begin
DecodeDate(FileDateTime(Application.ExeName),Year,Month,Day);
Y:=IntToStr(Year);
CopyRightStr:='Copyright '+Y;
Delete(Y,1,2);
VersionStr:='Version '+IntToStr(MajorVer)+'.'+Y+'.'+IntToStr(Month)+'.'+
		IntToStr(Day)+'.'+GetBuildNumber;
end;

initialization
SetupUnits;
SetupVersion;
end.
 